# Package smeshDC

## Data Structures
class | smeshDC
class | Mesh_Algorithm
| Mother class to define algorithm, recommended to don't use directly. More...
class | Mesh_Segment
| Class to define a segment 1D algorithm for discretization. More...
class | Mesh_CompositeSegment
| Class to define a segment 1D algorithm for discretization. More...
class | Mesh_Segment_Python
| Class to define a segment 1D algorithm for discretization with python function. More...
class | Mesh_Triangle
| Class to define a triangle 2D algorithm. More...
class | Mesh_Quadrangle
| Class to define a quadrangle 2D algorithm. More...
class | Mesh_Tetrahedron
| Class to define a tetrahedron 3D algorithm. More...
class | Mesh_Hexahedron
| Class to define a hexahedron 3D algorithm. More...
class | Mesh_Netgen
| Class to define a NETGEN-based 2D or 3D algorithm that need no discrete boundary (i.e. More...
class | Mesh_Projection1D
| Class to define a projection 1D algorithm. More...
class | Mesh_Projection2D
| Class to define a projection 2D algorithm. More...
class | Mesh_Projection3D
| Class to define a projection 3D algorithm. More...
class | Mesh_Prism3D
| Class to define a 3D extrusion algorithm. More...
class | Mesh_RadialPrism3D
| Class to define a Radial Prism 3D algorithm. More...
class | Mesh
| Class to define a mesh. More...
## Functions
def | GetName
| Gets object name.
def | SetName
def | TreatHypoStatus
## Variables
int | noNETGENPlugin = 0
int | noNETGENPlugin = 1
int | REGULAR = 1
int | PYTHON = 2
int | COMPOSITE = 3
int | MEFISTO = 3
int | NETGEN = 4
int | GHS3D = 5
int | FULL_NETGEN = 6
| POINT = SMESH_MeshEditor.POINT
| AXIS = SMESH_MeshEditor.AXIS
| PLANE = SMESH_MeshEditor.PLANE
| LAPLACIAN_SMOOTH = SMESH_MeshEditor.LAPLACIAN_SMOOTH
| CENTROIDAL_SMOOTH = SMESH_MeshEditor.CENTROIDAL_SMOOTH
int | VeryCoarse = 0
int | Coarse = 1
int | Moderate = 2
int | Fine = 3
int | VeryFine = 4
int | Custom = 5
string | NO_NAME = "NoName"

## Function Documentation

def smeshDC.GetName | ( |  | obj | ) |

def smeshDC.SetName | ( |  | obj,
|  |  | name |
| ) |  |  |

def smeshDC.TreatHypoStatus | ( |  | status,
|  |  | hypName,
|  |  | geomName,
|  |  | isAlgo |
| ) |  |  |

## Variable Documentation

int smeshDC.noNETGENPlugin = 0`[static]`

int smeshDC.noNETGENPlugin = 1`[static]`

int smeshDC.REGULAR = 1`[static]`

int smeshDC.PYTHON = 2`[static]`

int smeshDC.COMPOSITE = 3`[static]`

int smeshDC.MEFISTO = 3`[static]`

int smeshDC.NETGEN = 4`[static]`

int smeshDC.GHS3D = 5`[static]`

int smeshDC.FULL_NETGEN = 6`[static]`

smeshDC.POINT = SMESH_MeshEditor.POINT`[static]`

smeshDC.AXIS = SMESH_MeshEditor.AXIS`[static]`

smeshDC.PLANE = SMESH_MeshEditor.PLANE`[static]`

smeshDC.LAPLACIAN_SMOOTH = SMESH_MeshEditor.LAPLACIAN_SMOOTH`[static]`

smeshDC.CENTROIDAL_SMOOTH = SMESH_MeshEditor.CENTROIDAL_SMOOTH`[static]`

int smeshDC.VeryCoarse = 0`[static]`

int smeshDC.Coarse = 1`[static]`

int smeshDC.Moderate = 2`[static]`

int smeshDC.Fine = 3`[static]`

int smeshDC.VeryFine = 4`[static]`

int smeshDC.Custom = 5`[static]`

string smeshDC.NO_NAME = "NoName"`[static]`